Subject: [ipcdn] Comments on draft-ietf-ipcdn-subscriber-mib-07.txt

From: "Shanbhogue, Vedvyas" <[email-masked]>
Date: Mon, 16 Dec 2002 10:07:52 -0800

I have the following comments on this draft:
 
1.There should be an object describing the default
   action to be taken when none of the filters in a 
   filter group match the packet. The default action
   could be configurable as 'accept' or 'drop'.
 
2.There is a typo in section Section 6, Section 7 and 
  Section 2.2.5 which refer to RFC3128 as [RFC2138].
 
regards
vedvyas

Vedvyas Shanbhogue 
System Architect 
NSD, Intel 
(310)-481-5859 
[email-masked]

---

From: [email-masked]
Date: Mon, 16 Dec 2002 13:52:40 -0500

Thank you.

Your first point would expand the functionality of the filters. Mindful of
the performance hit on the CMTS, the filters were designed so that
processing could be streamlined, with possible hardware assistance.Thus,
these are discard-if-match filters, with a default action of 'accept'. We
can, of course, revisit that decision. I'd like to hear from CMTS vendors
and operators about the need for, and impact of, such a change.

Regards,
Wilson Sawyer

                      "Shanbhogue,                                                                                 
                      Vedvyas"                   To:       <[email-masked]>                                        
                      <vedvyas.shanbhogue        cc:                                                               
                      @intel.com>                Fax to:                                                           
                      Sent by:                   Subject:  [ipcdn] Comments on                                     
                      [email-masked]         draft-ietf-ipcdn-subscriber-mib-07.txt                           
                      g                                                                                            

                      12/16/02 01:07 PM                                                                            

        regards
        vedvyas

        Vedvyas Shanbhogue
        System Architect
        NSD, Intel
        (310)-481-5859

_______________________________________________
IPCDN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipcdn

---

From: "Eduardo Cardona" <[email-masked]>
Date: Tue, 17 Dec 2002 06:55:27 -0700

Vedvyas, 
following Wilson comments, are you saying a default action per group? Or
in general?

A unique default action seems to be so restrictive and will force any
way on a group basis to create or not a final "default match filter" to
choose the opposite to the general default action.

A default action per group will need another structure different to the
PktFilterTable indexed by group which is almost the same thing as "last
filter default action" in pktFilterTable

An intermediate situation from the default action :

- CM assigned to groups 0,0,0,0 all packets accepted ( no matched
filters - does not exists)
In the same way when filters in a group are not matched a "default
action" of accept will be considered. 
To change the "default action" of a group to discard it is a matter of
having as a final index a filter 0/0, 0/0, 0/0 Source, Dest, TOS
respectively, with action discard ( as today )

What I see ( I may overlook your scenarios of application ) is no so
much value added 

Thanks

Eduardo

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Monday, December 16, 2002 11:53 AM
To: Shanbhogue, Vedvyas
Cc: [email-masked]
Subject: Re: [ipcdn] Comments on draft-ietf-ipcdn-subscriber-mib-07.txt

Thank you.

Your first point would expand the functionality of the filters. Mindful
of
the performance hit on the CMTS, the filters were designed so that
processing could be streamlined, with possible hardware assistance.Thus,
these are discard-if-match filters, with a default action of 'accept'.
We
can, of course, revisit that decision. I'd like to hear from CMTS
vendors
and operators about the need for, and impact of, such a change.

Regards,
Wilson Sawyer

                      "Shanbhogue,

                      Vedvyas"                   To:
<[email-masked]>                                        
                      <vedvyas.shanbhogue        cc:

                      @intel.com>                Fax to:

                      Sent by:                   Subject:  [ipcdn]
Comments on                                     
                      [email-masked]
draft-ietf-ipcdn-subscriber-mib-07.txt                           
                      g

                      12/16/02 01:07 PM

        regards
        vedvyas

        Vedvyas Shanbhogue
        System Architect
        NSD, Intel
        (310)-481-5859

---

From: "Shanbhogue, Vedvyas" <[email-masked]>
Date: Tue, 17 Dec 2002 09:35:03 -0800

Hi Eduardo,

	I agree that a catch-all filter with action as drop will serve
the same purpose. My concern was that the default action on 'no filter
match' condition was not mentioned clearly in the draft.
      I am fine with Wilsons description of a  discard-if-match filter
with default action implied as accept. I think we should put this 
statement in the draft ?

regards
vedvyas

-----Original Message-----
From: Eduardo Cardona [mailto:[email-masked]]
Sent: Tuesday, December 17, 2002 5:55 AM
To: [email-masked]; Shanbhogue, Vedvyas
Cc: [email-masked]
Subject: RE: [ipcdn] Comments on draft-ietf-ipcdn-subscriber-mib-07.txt

Vedvyas, 

Thanks

Eduardo

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Monday, December 16, 2002 11:53 AM
To: Shanbhogue, Vedvyas
Cc: [email-masked]
Subject: Re: [ipcdn] Comments on draft-ietf-ipcdn-subscriber-mib-07.txt

Thank you.

Regards,
Wilson Sawyer

                      "Shanbhogue,

                      Vedvyas"                   To:
<[email-masked]>                                        
                      <vedvyas.shanbhogue        cc:

                      @intel.com>                Fax to:

 

                      12/16/02 01:07 PM

        regards
        vedvyas

        Vedvyas Shanbhogue
        System Architect
        NSD, Intel
        (310)-481-5859

---

From: [email-masked]
Date: Tue, 17 Dec 2002 13:36:02 -0500

I'm sorry, I was mistaken earlier. I should have re-read the text in
question instead of trusting to a faulty memory. My point about performance
impact was incorrect - I'd forgotten that there is already an accept/drop
flag per filter.

Your original point was well-taken. The MIB is, as you say, missing a clear
indication of what to do with packet that doesn't match any filter. Eduardo
also makes a good point that a single configurable scalar is probably not
what we want. The Description clause of docsSubMgt(Cm)Filter(up/down)stream
implies an accept-if-none-matching policy, but doesn't say so clearly.

My suggestion is to add a clear statement of accept-if-no-filters-match
policy. But I'm open to other suggestions.

- Wilson

                      "Shanbhogue,                                                                                 
                      Vedvyas"                   To:       "Eduardo Cardona" <[email-masked]>,            
                      <vedvyas.shanbhogue         <[email-masked]>                                       
                      @intel.com>                cc:       <[email-masked]>                                        
                                                 Fax to:                                                           
                      12/17/02 12:35 PM          Subject:  RE: [ipcdn] Comments on                                 
                                                  draft-ietf-ipcdn-subscriber-mib-07.txt                           

Hi Eduardo,

regards
vedvyas

-----Original Message-----
From: Eduardo Cardona [mailto:[email-masked]]
Sent: Tuesday, December 17, 2002 5:55 AM
To: [email-masked]; Shanbhogue, Vedvyas
Cc: [email-masked]
Subject: RE: [ipcdn] Comments on draft-ietf-ipcdn-subscriber-mib-07.txt

Vedvyas,

Thanks

Eduardo

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Monday, December 16, 2002 11:53 AM
To: Shanbhogue, Vedvyas
Cc: [email-masked]
Subject: Re: [ipcdn] Comments on draft-ietf-ipcdn-subscriber-mib-07.txt

Thank you.

Regards,
Wilson Sawyer

                      "Shanbhogue,

                      Vedvyas"                   To:
<[email-masked]>
                      <vedvyas.shanbhogue        cc:

                      @intel.com>                Fax to:

                      12/16/02 01:07 PM

        regards
        vedvyas

        Vedvyas Shanbhogue
        System Architect
        NSD, Intel
        (310)-481-5859